Quote
Creates an offramp deposit address
This endpoint will return an deposit address for offramp
Create an Offramp quote.
POST https://api.onramp.money/onramp/api/v2/whiteLabel/offramp/quote
Request Body
chain*
String
supported networks by onramp for onchain transactions
E.g. of supported networks:
usdt - bep20 | matic20 | erc20 | trc20
usdc - bep20 | matic20
busd - bep20
eth - erc20 | matic20
fromCurrency*
String
symbol of the coin (e.g. USDT).
toCurrency*
String
fiat to Offramp.
fromAmount*
String
Actual Crypto quantity to sold.
{
"status": 1,
"code": 200,
"data": {
"fromCurrency": "usdc",
"toCurrency": "INR",
"fromAmount": "20",
"toAmount": "1668.03",
"rate": "84.6365",
"fees": [
{
"type": "fiat",
"onrampFee": "4.23",
"gatewayFee": "3.54",
"tdsFee": "16.93"
}
]
}
}{
"status": 0,
"code": 400,
"error": "Missing Required parameters -> fromCurrency, toCurrency, fromAmount, chain."
}status -> 0 is for unsuccessful request, 1 is for a successful one
fromCurrency -> symbol of the coin (e.g. USDT).
toCurrency -> fiat to Offramp.
fromAmount -> actual amount of crypto received by onramp.money
toAmount -> Amount of fiat received by the onramp.money.
rate -> expected price estimate
fees (array of objects): Breakdown of different fees associated with the transaction.
type -> The type of fee (e.g., "fiat", "crypto").
onrampFee -> Onramp fee amount.
gatewayFee -> Gateway fee amount.
tdsFee -> TDS (Tax deductible at Source), in compliance with the regulatory framework set by the regional authority.
Last updated